/**
   This program writes random pixel data to a PPM file using the FrameBuffer class.

   Take the resulting ppm file and convert it into a PNG file and also a JPG file.
   Thos are "compressed" file formats so the png file and the jpg files should be
   smaller than the original ppm file. But they are not! Why?
*/

import framebuffer.*;

import java.util.Random;
import java.awt.Color;
import java.io.FileInputStream;
import java.io.IOException;

public class Example_4
{
   public static void main(String[] args)
   {
      String filename = "Example_4.ppm";

      int height = 600;
      int width  = 600;
      FrameBuffer fb = new FrameBuffer(height, width);

      Random random = new Random();

      for (int i = 0; i < height; ++i)
         for(int j = 0; j < width; ++j)
         {
            int r = random.nextInt(256);
            int g = random.nextInt(256);
            int b = random.nextInt(256);
            fb.setPixelFB(i, j, new Color(r, g, b));
         }

      fb.dumpFB2File( filename );
   }
}
